:root {
    /*fonts-styles*/
    --paragraph-large-font-size: 18px;
    --paragraph-large-line-height: 28px;

    --paragraph-medium-font-size: 16px;
    --paragraph-medium-line-height: 24px;

    --paragraph-small-font-size: 14px;
    --paragraph-small-line-height: 22px;

    --title-large-font-size: 60px;
    --title-large-line-height: 60px;

    --title-medium-font-size: 48px;
    --title-medium-line-height: 48px;

    --title-default-font-size: 36px;
    --title-default-line-height: 40px;

    --title-small-font-size: 30px;
    --title-small-line-height: 36px;
}

.title-large {
    font-size: var(--title-large-font-size);
    line-height: var(--title-large-line-height);
}

.title-medium {
    font-size: var(--title-medium-font-size);
    line-height: var(--title-medium-line-height);
}

.title-default {
    font-size: var(--title-default-font-size);
    line-height: var(--title-default-line-height);
}

.title-small {
    font-size: var(--title-small-font-size);
    line-height: var(--title-small-line-height);
}

.paragraph-large {
    font-size: var(--paragraph-large-font-size);
    line-height: var(--paragraph-large-line-height);
}

.paragraph-medium {
    font-size: var(--paragraph-medium-font-size);
    line-height: var(--paragraph-medium-line-height);
}

.paragraph-small {
    font-size: var(--paragraph-small-font-size);
    line-height: var(--paragraph-small-line-height);
}

@media (min-width: 1440px) {

    :root {
        /*fonts-styles formula: (16 / 1440) × 100*/
        --paragraph-large-font-size: calc((18px / 1440px) * 100vw);
        --paragraph-large-line-height: calc((28px / 1440px) * 100vw);

        --paragraph-medium-font-size: calc((16px / 1440px) * 100vw);
        --paragraph-medium-line-height: calc((24px / 1440px) * 100vw);

        --paragraph-small-font-size: calc((14px / 1440px) * 100vw);
        --paragraph-small-line-height: calc((22px / 1440px) * 100vw);

        --title-large-font-size: calc((60px / 1440px) * 100vw);
        --title-large-line-height: calc((60px / 1440px) * 100vw);

        --title-medium-font-size: calc((48px / 1440px) * 100vw);
        --title-medium-line-height: calc((48px / 1440px) * 100vw);
    
        --title-default-font-size: calc((36px / 1440px) * 100vw);
        --title-default-line-height: calc((40px / 1440px) * 100vw);
    
        --title-small-font-size: calc((30px / 1440px) * 100vw);
        --title-small-line-height: calc((36px / 1440px) * 100vw);
    }

}

@media screen and (max-width: 1280px) {

    :root {
        --paragraph-large-font-size: 16px;

        --paragraph-medium-font-size: 14px;

        --title-large-font-size: 48px;
        --title-large-line-height: 48px; 

        --title-medium-font-size: 36px;
        --title-medium-line-height: 40px;
    
        --title-default-font-size: 30px;
        --title-default-line-height: 36px;
    
        --title-small-font-size: 24px;
        --title-small-line-height: 32px;
    }
    
}

@media screen and (max-width: 1024px) {

    :root {
        --paragraph-large-font-size: 14px;
        --paragraph-large-line-height: 22px;

        --paragraph-medium-font-size: 12px;
        --paragraph-medium-line-height: 18px;

        --title-large-font-size: 36px;
        --title-large-line-height: 40px;

        --title-medium-font-size: 30px;
        --title-medium-line-height: 36px;
    
        --title-default-font-size: 24px;
        --title-default-line-height: 32px;
    
        --title-small-font-size: 20px;
        --title-small-line-height: 28px;
    }
    
}

@media screen and (max-width: 768px) {

    :root {
        --paragraph-medium-font-size: 14px;
        --paragraph-medium-line-height: 20px;

        --paragraph-large-font-size: 16px;
        --paragraph-large-line-height: 22px;

        --title-large-font-size: 30px;
        --title-large-line-height: 36px; 

        --title-medium-font-size: 24px;
        --title-medium-line-height: 32px;
    
        --title-default-font-size: 20px;
        --title-default-line-height: 28px;
    
        --title-small-font-size: 18px;
        --title-small-line-height: 24px;
    }
    
}